%define section		free
%define rcn		dev
%define bname		wsrp4j

Name:		ws-%{bname}
Version:	0.3
Release:	0.%{rcn}.1jpp
Epoch:		0
Summary:	Web Services for Remote Portlets
License:	Apache Software License 2.0
Url:		http://ws.apache.org/wsrp4j/
Group:		Development/Libraries/Application Frameworks
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	ws-wsrp4j_20050916103229.tar.gz
Patch0:         ws-wsrp4j-WSRPRenderResponseFactoryImpl.patch
Patch1:		ws-wsrp4j-WSRPRenderResponseImpl.patch


Requires:	portals-pluto
Requires:	axis >= 0:1.2
Requires:	castor-xml
Requires:	jakarta-commons-discovery
Requires:	jakarta-commons-logging
Requires:	jakarta-taglibs-standard
Requires:	log4j
Requires:	portlet-1.0-api
Requires:	wsdl4j
Requires:	xerces-j2
Requires:	xml-commons-apis


BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:	ant >= 0:1.6, ant-junit
BuildRequires:	ant-contrib
BuildRequires:	junit
BuildRequires:	servletapi4

BuildRequires:	portals-pluto
BuildRequires:	axis >= 0:1.2
BuildRequires:	castor-xml
BuildRequires:	jakarta-commons-discovery
BuildRequires:	jakarta-commons-logging
BuildRequires:	jakarta-taglibs-standard
BuildRequires:	log4j
BuildRequires:	portlet-1.0-api
BuildRequires:	wsdl4j
BuildRequires:	xerces-j2
BuildRequires:	xml-commons-apis

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Integration of content and application into portals has 
been a task requiring significant custom programming effort. 
Portal vendors or organizations running portals had to write 
special adapter portlets to allow portals to communicate with 
the different applications and content providers to 
accommodate a variety of interfaces and protocols. 
The OASIS Web Services for Remote Portlets (WSRP) standard 
simplifies integration of remote applications/content into 
portals so that portal administrators can pick from a rich 
choice of services and integrate it in their portal without 
programming effort. As a result, WSRP becomes the means for 
content and application providers to provide their services 
to organizations running portals in a very easily consumable 
form. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}
find . -depth -name CVS -exec rm -rf {} \;
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done
build-jar-repository -s -p provider/pluto/war/WEB-INF/lib \
portals-pluto/pluto-portal \


build-jar-repository -s -p lib \
axis/axis \
axis/jaxrpc \
axis/saaj \
castor-xml \
commons-discovery \
log4j \
wsdl4j \


build-jar-repository -s -p lib/consumer \
commons-logging \
xerces-j2 \
xml-commons-apis \


build-jar-repository -s -p lib/shared \
portlet-1.0-api \
portals-pluto/pluto \


build-jar-repository -s -p lib/build_only \
servletapi4 \


%patch0 -b .sav
%patch1 -b .sav

%build
export OPT_JAR_LIST="ant-launcher ant-contrib ant-junit junit"
ant -f build/build.xml all javadocs

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 bin/lib/%{bname}-producer-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-producer-%{version}.jar
install -m 644 bin/lib/%{bname}-shared-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-shared-%{version}.jar
install -m 644 bin/lib/%{bname}-swing-consumer-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-swing-%{version}.jar
install -m 644 bin/lib/%{bname}-pluto-provider-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-pluto-provider-%{version}.jar
install -m 644 bin/lib/%{bname}-consumer-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-consumer-%{version}.jar

# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp LICENSE $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi


%files 
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE
%{_javadir}/%{name}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%changelog
* Thu Sep 29 2005 Ralph Apel <r.apel at r-apel.de> 0:0.3-0.dev.1jpp
- First JPackage release

